Package org.eclipse.core.runtime.preferences

## Interface IScope

    public interface IScope

Clients contributing a scope to the Eclipse preference system must implement this interface to aid Eclipse in creating a new node for the hierarchy.

Clients may implement this interface.

Since:
  3.0

### Method Summary

All Methods Instance Methods Abstract Methods
`IEclipsePreferences` `create​(IEclipsePreferences parent, String name)` Create and return a new preference node with the given parent and name.

### Method Detail

#### create

    IEclipsePreferences create​(IEclipsePreferences parent,
                               String name)

Create and return a new preference node with the given parent and name. Must not return `null`. Clients are able to create a new node in memory or load the node's contents from the backing store. Neither the parent or name arguments should be `null`.

Implementors should note that the node might not have been added to the child list of the parent yet, and therefore might not be able to be referenced through navigation from the root node.

Parameters:
  `parent` - the node's parent
  `name` - the name of the node
Returns:
  the new node